<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
                      http://maven.apache.org/xsd/settings-1.0.0.xsd">
  
  <!-- 
    This file is only required for GitLab CI of https://gitlab.cern.ch/c2mon/c2mon 
   -->
  
  <pluginGroups>
    <pluginGroup>org.sonarsource.scanner.maven</pluginGroup>
  </pluginGroups>
  
  <profiles>
    <profile>
      <id>c2mon-releases</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      
      <!-- Variables used for distributionManagement section in pom.xml  -->
      <properties>
        <nexus.releases.url>https://repository.cern.ch/nexus/content/repositories/c2mon-releases/</nexus.releases.url>
        <nexus.snapshots.url>https://repository.cern.ch/nexus/content/repositories/c2mon-snapshots/</nexus.snapshots.url>
        <repository.releases.url>http://artifactory/beco-release-local</repository.releases.url>
        <repository.snapshots.url>http://artifactory/beco-development-local</repository.snapshots.url>
        <!-- This BE-CO property ensures all dependencies are resolved strictly -->
        <dependencies.set.all>true</dependencies.set.all>
      </properties>
      
      <repositories>
        <repository>
          <id>nexus-internal-group</id>
          <name>CERN BE-ICS Public Repositories</name>
          <url>http://repository.cern.ch/nexus/content/groups/public/</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>false</enabled></snapshots>
        </repository>
        <repository>
          <id>nexus-c2mon</id>
          <name>C2MON Releases</name>
          <url>https://repository.cern.ch/nexus/content/repositories/c2mon-releases/</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>false</enabled></snapshots>
        </repository>
        <repository>
          <id>nexus-c2mon-internal</id>
          <name>C2MON Releases</name>
          <url>https://repository.cern.ch/nexus/content/repositories/c2mon-internal-releases/</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>false</enabled></snapshots>
        </repository>
        <repository>
          <id>nexus-c2mon-snapshots</id>
          <name>C2MON Snapshots</name>
          <url>https://repository.cern.ch/nexus/content/repositories/c2mon-snapshots/</url>
          <releases><enabled>false</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
        </repository> 
        <repository>
          <id>central</id>
          <url>http://artifactory/release</url>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </repository>
        <repository>
          <id>snapshot</id>
          <url>http://artifactory/development</url>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>http://artifactory/release</url>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </pluginRepository>
        <pluginRepository>
          <id>snapshot</id>
          <url>http://artifactory/development</url>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </pluginRepository>
        <pluginRepository>
          <id>nexus-public</id>
          <url>https://nexus.web.cern.ch/nexus/content/groups/public/</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  
    <profile>
      <id>sonar</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <sonar.host.url>https://cvl-sonarqube.cern.ch</sonar.host.url>
      </properties>
    </profile>	
  </profiles>
</settings>

